<template>
  <div
    class="flex flex-col bg-gray-800 p-2 shadow-xl rounded-2xl font-mono p-6"
  >
    <div class="grid grid-cols-2">
      <nuxt-link :to="`/details/${star.id}`"
        ><h2 class="font-bold text-xl">{{ star.name }}</h2></nuxt-link
      >
      <svg
        v-if="isFavourite(star)"
        v-tooltip="{
          content: 'Ajouter aux favoris',
          placement: 'top-center',
          offset: 20,
          delay: {
            show: 500,
            hide: 300,
          },
        }"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 20 20"
        fill="none"
        stroke="currentColor"
        class="h-6 w-6 text-indigo-500 justify-self-end"
        @click="addFavourite(star)"
      >
        <path
          fill-rule="evenodd"
          d="M3.172 5.172a4 4 0 015.656 0L10 6.343l1.172-1.171a4 4 0 115.656 5.656L10 17.657l-6.828-6.829a4 4 0 010-5.656z"
          clip-rule="evenodd"
        />
      </svg>
      <svg
        v-else
        v-tooltip="{
          content: 'Retirer des favoris',
          placement: 'top-center',
          offset: 20,
          delay: {
            show: 500,
            hide: 300,
          },
        }"
        xmlns="http://www.w3.org/2000/svg"
        viewBox="0 0 20 20"
        fill="currentColor"
        stroke="currentColor"
        class="h-6 w-6 text-indigo-500 justify-self-end"
        @click="removeFavourite(star)"
      >
        <path
          fill-rule="evenodd"
          d="M3.172 5.172a4 4 0 015.656 0L10 6.343l1.172-1.171a4 4 0 115.656 5.656L10 17.657l-6.828-6.829a4 4 0 010-5.656z"
          clip-rule="evenodd"
        />
      </svg>
    </div>
    <h6 class="text-sm font-medium">
      <i>{{ star.englishName }}</i>
    </h6>
  </div>
</template>

<script>
export default {
  name: "card",
  props: {
    star: Object,
  },
  methods: {
    // Ajoute l'astre séléctionné dans la liste des favoris du store
    addFavourite: function (star) {
      this.$store.commit("favourite/add", star);
    },
    // Retire l'astre séléctionné dans la liste des favoris du store
    removeFavourite: function (star) {
      this.$store.commit("favourite/remove", star);
    },
    // Vérifie si l'astre appartient à la liste des favoris de l'utilisateur
    isFavourite: function (star) {
      return !this.$store.getters["favourite/getFavourites"].find(
        (item) => item.id === star.id
      );
    },
  },
};
</script>

<style>
.tooltip-inner {
  color: white;
}
</style>